# Module `menubar.menu_gen`

### Info:

- Copyright: 2009, 2011-2012 Antonio Terceiro, Alexander Yakushev
- Release: v3.5.4
- Author: Antonio Terceiro

## Functions

lookup_category_icons () | Find icons for category entries.
generate () | Generate an array of all visible menu entries.

## Tables

all_menu_dirs | Specifies all directories where menubar should look for .desktop files.
all_categories | Specify the mapping of .desktop Categories section to the categories in the menubar.

## Functions

lookup_category_icons ()
  Find icons for category entries.
generate ()
  Generate an array of all visible menu entries.

  ### Returns:

  all menu entries.

## Tables

all_menu_dirs
  Specifies all directories where menubar should look for .desktop files. The search is not recursive.

  ### Fields:

  - /usr/share/applications/
  - /usr/local/share/applications/
all_categories
  Specify the mapping of .desktop Categories section to the categories in the menubar. If "use" flag is set to false then any of the applications that fall only to this category will not be shown.

  ### Fields:

  - multimedia
  - name
  - icon_name
  - use

generated by LDoc 1.4.2